<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale"
    xmlns:dc="urn:unit-c.fr:schema:dublincore:v1" exclude-result-prefixes="sc sp op">
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
    <xsl:param name="vDialog"/>
    <xsl:param name="vAgent"/>

    
    <!-- Root de Pb -->
    <xsl:template match="op:pb">
        <xsl:apply-templates/>
    </xsl:template>
    
    
    <xsl:template match="sp:information">
        <information>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>  
        </information>    
    </xsl:template>
    
    
    <!--<xsl:template match="sp:fondamental">
        <xsl:value-of select="getContent(gotoMeta(currentModel()))" disable-output-escaping="yes"/>
    </xsl:template>-->
    
    
    <xsl:template match="sp:definition">
        <definition>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </definition>
    </xsl:template>
    
    
    <xsl:template match="sp:example">
        <example>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </example>    
    </xsl:template>
    
    
    <xsl:template match="sp:remark">
        <remark>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </remark>
    </xsl:template>
    
    
    <xsl:template match="sp:explication">
        <explication>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </explication>
    </xsl:template>
    
    
    <xsl:template match="sp:advice">
        <advice>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </advice>
    </xsl:template>
    
    
    <xsl:template match="sp:warning">
        <warning>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </warning>
    </xsl:template>
    
    
    <xsl:template match="sp:complement">
        <complement>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </complement>
    </xsl:template>
    
    
    <xsl:template match="sp:method">
        <method>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </method>
    </xsl:template>
    
    
    <xsl:template match="sp:reminder">
        <reminder>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </reminder>
    </xsl:template>
    
    
    <xsl:template match="sp:syntax">
        <syntax>
            <xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes"/>
            <content>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </content>
        </syntax>
    </xsl:template>
    
    
    <!--<xsl:template match="sp:legalText">
        <xsl:value-of select="getContent(gotoMeta(currentModel()))" disable-output-escaping="yes"/>
    </xsl:template>-->
    
    
    <!--<xsl:template match="op:richTitle">
        <!- Titre PB ->
        TITREBP<xsl:value-of select="getContent(gotoMeta(currentModel()))" disable-output-escaping="yes"/>
    </xsl:template> -->
    
    
    <xsl:template match="*"/>
    
    
</xsl:stylesheet>
