<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                                        xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
                                        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                                        xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
                                        xmlns:op="utc.fr:ics/opale"
                                        xmlns:dc="urn:unit-c.fr:schema:dublincore:v1"
                                        exclude-result-prefixes="sc sp op">
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
    <xsl:param name="vDialog"/>
    <xsl:param name="vAgent"/>
    
    
    <!-- Root de AutoevaluationUa -->
    <xsl:template match="sc:item">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="op:AutoevaluationUa">
        <AutoevaluationUa xmlns="urn:unit-c.fr:schema:academic:v1" xmlns:dc="urn:unit-c.fr:schema:dublincore:v1" xmlns:db="urn:unit-c.fr:schema:docbook:v1" xmlns:lom="urn:unit-c.fr:schema:lomfr:v1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="urn:unit-c.fr:schema:academic:v1 unit-c.fr_schema_academic_v1.xsd">
            <!-- DublinCore -->
            <xsl:value-of select="getContent(gotoMeta(currentModel()))" disable-output-escaping="yes"/>
            <xsl:apply-templates />
        </AutoevaluationUa>
    </xsl:template>
    
    
    <!-- Intro/Conclu de AutoevaluationUa -->
    <xsl:template match="sp:introduction">
        <introduction>
            <xsl:apply-templates/>
        </introduction>	
    </xsl:template>
    
    <xsl:template match="sp:conclusion">
        <conclusion>
            <xsl:apply-templates/>
        </conclusion>	
    </xsl:template>
    
    
</xsl:stylesheet>
