<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale"
    xmlns:dc="urn:unit-c.fr:schema:dublincore:v1" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="sc sp op">
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
    <xsl:param name="vDialog"/>
    <xsl:param name="vAgent"/>


    <!-- Root de CourseUa -->
    <xsl:template match="sc:item">
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="op:CourseUa">
        <CourseUa xmlns="urn:unit-c.fr:schema:academic:v1"
            xmlns:dc="urn:unit-c.fr:schema:dublincore:v1" xmlns:db="urn:unit-c.fr:schema:docbook:v1"
            xmlns:lom="urn:unit-c.fr:schema:lomfr:v1"
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xsi:schemaLocation="urn:unit-c.fr:schema:academic:v1 unit-c.fr_schema_academic_v1.xsd">
            <id>
                <!--<xsl:value-of select="concat(java:hGetUri(srcFileAgent()), '/', java:hGetName(srcFileAgent()))"/>
                    <xsl:value-of select="java:hGetUri(srcFileAgent())"/>-->
                <xsl:value-of select="extractFileNameFromPath(java:getCurrentDestUri(java:hGetGenerator(java:hGetContext($vDialog))))"/>
            </id>
            <!-- DublinCore -->
            <xsl:value-of select="getContent(gotoMeta(currentModel()))"
                disable-output-escaping="yes"/>
            <xsl:apply-templates/>
        </CourseUa>
    </xsl:template>


    <!-- Intro/Conclu de CourseUa -->
    <xsl:template match="sp:introduction">
        <introduction>
            <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
        </introduction>
    </xsl:template>

    <xsl:template match="sp:conclusion">
        <conclusion>
            <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
        </conclusion>
    </xsl:template>


    <!-- UaDivision -->
    <xsl:template match="sp:division[op:CourseUaDivision]">
        <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
    </xsl:template>


    <!-- UC -->
    <xsl:template match="sp:CourseUc">
        <xsl:choose>
            <!-- UC Externe -->
            <xsl:when test="@sc:refUri">
                <xsl:choose>
                    <xsl:when test="typeAgent(concat('@', gotoSubModel())) = 'op_ExpositionUc' ">
                        <ExpositionUc>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </ExpositionUc>
                    </xsl:when>
                    <xsl:when test="typeAgent(concat('@', gotoSubModel())) = 'op_PracticeUc' ">
                        <PracticeUc>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </PracticeUc>
                    </xsl:when>
                </xsl:choose>
            </xsl:when>
            <!-- UC Interne -->
            <xsl:otherwise>
                <xsl:choose>
                    <xsl:when test="op:ExpositionUc">
                        <ExpositionUc>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </ExpositionUc>
                    </xsl:when>
                    <xsl:when test="op:PracticeUc">
                        <PracticeUc>
                            <xsl:value-of select="getUrl(gotoSubModel(), 'page')"/>
                        </PracticeUc>
                    </xsl:when>
                </xsl:choose>
                <!--<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>-->
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>


    <xsl:template match="*"/>

</xsl:stylesheet>
