<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale"
    xmlns:dc="urn:unit-c.fr:schema:dublincore:v1"
    xmlns:db="urn:unit-c.fr:schema:docbook:v1"
    exclude-result-prefixes="sc sp op">
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
    <xsl:param name="vDialog"/>
    <xsl:param name="vAgent"/>
    
    
    <xsl:template match="op:ExpositionUcDivision">
        <division>
            <xsl:value-of select="getContent(gotoMeta(currentModel()))" disable-output-escaping="yes"/>
            <xsl:apply-templates/>
        </division>
    </xsl:template>
    
    
    <!-- Intro/Conclu de ExpositionUc -->
    <xsl:template match="sp:introduction">
        <introduction>
            <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
        </introduction>
    </xsl:template>
    
    <xsl:template match="sp:conclusion">
        <conclusion>
            <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
        </conclusion>
    </xsl:template>
    
    <!-- Gestion du contenu dans une divisionUC -->
    <xsl:template match="sp:pb">
        <xsl:choose>
           <xsl:when test="following-sibling::sp:subdivision or preceding-sibling::sp:subdivision">
                <subdivision>
                    <title>
                        Contenu
                    </title>
                    <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
                </subdivision>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <xsl:template match="sp:subdivision[not(parent::op:ExpositionUc)]">
        <subdivision>
            <xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
        </subdivision>
    </xsl:template>
    
    <xsl:template match="*"/>
    
    
</xsl:stylesheet>
