<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                                                                        xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
                                                                        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                                                                        xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
                                                                        xmlns:op="utc.fr:ics/opale" 
                                                                        xmlns:dc="urn:unit-c.fr:schema:dublincore:v1" 
                                                                        exclude-result-prefixes="sc sp op">    
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
    
    
    <!-- DublinCore -->
    <xsl:template match="op:dublinCore">
        <xsl:if test="sp:title or sp:shortTitle"> 
            <title>
                <xsl:apply-templates select="sp:title"/>
                <xsl:apply-templates select="sp:shortTitle"/>
            </title>
        </xsl:if>
        <xsl:if test="sp:metadata">
            <dc:head>
                <xsl:apply-templates select="sp:metadata"/>
            </dc:head>
        </xsl:if>
    </xsl:template>	
    
    <xsl:template match="sp:title">
            <fullTitle>
                    <xsl:apply-templates/>
            </fullTitle>
    </xsl:template>

    <xsl:template match="sp:shortTitle">
            <shortTitle>
                    <xsl:apply-templates/>
            </shortTitle>
    </xsl:template>
    
    <xsl:template match="sp:metadata">
            <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="sp:creatorList">
            <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="sp:creator">
        <dc:creator>
            <xsl:apply-templates/>
        </dc:creator>
    </xsl:template>
    
    <xsl:template match="sp:contributorList">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="sp:contributor">
        <dc:contributor>
            <xsl:apply-templates/>
        </dc:contributor>
    </xsl:template>
    
    <xsl:template match="sp:publisherList">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="sp:publisher">
        <dc:publisher>
            <xsl:apply-templates/>
        </dc:publisher>
    </xsl:template>
    
    <xsl:template match="sp:description">
        <dc:description>
            <xsl:apply-templates/>
        </dc:description>
    </xsl:template>
    
    <xsl:template match="sp:subjectList">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="sp:subject">
        <dc:subject>
            <xsl:apply-templates/>
        </dc:subject>
    </xsl:template>
    
    <xsl:template match="sp:language">
        <dc:language>
            <xsl:apply-templates/>
        </dc:language>
    </xsl:template>
    
    <xsl:template match="sp:spatialCoverage">
            <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="sp:spatial">
        <dc:spatial>
            <xsl:apply-templates/>
        </dc:spatial>
    </xsl:template>
    
    <xsl:template match="sp:rightsList">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="sp:rights">
        <dc:rights>
            <xsl:choose>
                <xsl:when test="cc1">http://creativecommons.org/licenses/publicdomain/</xsl:when>
                <xsl:when test="cc2">http://creativecommons.org/licenses/by/2.0/</xsl:when>
                <xsl:when test="cc3">http://creativecommons.org/licenses/by-nc/2.0/</xsl:when>
                <xsl:when test="cc4">http://creativecommons.org/licenses/by-nc-nd/2.0/</xsl:when>
                <xsl:when test="cc5">http://creativecommons.org/licenses/by-nc-sa/2.0/</xsl:when>
            </xsl:choose>
        </dc:rights>
    </xsl:template>
    
    <xsl:template match="sp:educationalLevel">
        <dc:educationLevel>
            <xsl:apply-templates/>
        </dc:educationLevel>
    </xsl:template>
    
</xsl:stylesheet>
