<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale" exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

  <xsl:variable name="vGlobalShortPubs" select="parseXml(getContent(gotoMeta('c0'),'shortPub'))/sp:shortPublication" />

	<xsl:template match="op:pb">
	  <xsl:apply-templates />	   
	</xsl:template>
  
  <xsl:template match="op:pb/*">
    <xsl:variable name="vGlobalShortPub" select="$vGlobalShortPubs/*[name(.) = name(current())]" />

    <xsl:if test="(not($vGlobalShortPub) or $vGlobalShortPub = 'yes' or ($vGlobalShortPub = 'titleOnly' and op:richTitle/sp:principalTitle))
                  and (not(op:richTitle/sp:shortPublication) or op:richTitle/sp:shortPublication != 'excluded')">
      <TB_list_4 isScenarioStep="false" hasScenarioStates="true">
        <subBlock subType="left">
          <puce_pb src="../reflash/swf/pb_{local-name(.)}.swf" />
        </subBlock>
        <xsl:if test="op:richTitle/sp:principalTitle">
          <subBlock subType="title">
            <txtListe_2><xsl:value-of select="op:richTitle/sp:principalTitle" /></txtListe_2>
          </subBlock>
        </xsl:if>
        <xsl:if test="not($vGlobalShortPub) or $vGlobalShortPub = 'yes'">
          <subBlock subType="content">
            <xsl:value-of select="getContent(gotoSubModel(), 'content')" disable-output-escaping="yes" />
          </subBlock>
        </xsl:if>
      </TB_list_4>
    </xsl:if>
  </xsl:template>
  
	<xsl:template match="*" />
</xsl:stylesheet>
