<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale" exclude-result-prefixes="sc sp op">
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
  
  <xsl:param name="vDialog"/>
  <xsl:param name="vAgent"/>

  <xsl:template match="op:textSimple">
    <!-- Contournement pour que les items de liste ne soit pas scénarisés -->
    <vBox isScenarioStep="true" allowChildsScenarisation="false">
      <xsl:apply-templates />
    </vBox>
  </xsl:template>

  <xsl:template match="sc:simpleList">
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="sc:member">
    <TB_list_2>
      <subBlock subType="content">
        <txtListe_2>
          <xsl:apply-templates />
        </txtListe_2>
      </subBlock>
    </TB_list_2>
  </xsl:template>
  
  <xsl:template match="sc:para">
    <xsl:variable name="vRepr" select="sc:inlineStyle[@role='representative']" />
    <xsl:variable name="vChildren" select="si($vRepr, $vRepr/* | $vRepr/text(), * | text())" />
    
    <xsl:choose>
      <xsl:when test="parent::sc:listItem">
        <xsl:apply-templates select="$vChildren">
          <xsl:with-param name="pRepr" select="$vRepr" />
        </xsl:apply-templates>
      </xsl:when>
      <xsl:otherwise>
        <texteSousPage>
          <xsl:apply-templates select="$vChildren">
            <xsl:with-param name="pRepr" select="$vRepr" />
          </xsl:apply-templates>
        </texteSousPage>
      </xsl:otherwise>
    </xsl:choose>
    
    <xsl:apply-templates select="$vChildren[self::sc:inlineImg]" mode="list">
      <xsl:with-param name="pRepr" select="$vRepr" />
    </xsl:apply-templates>
  </xsl:template>
  
  <xsl:template match="sc:inlineStyle">
    <xsl:apply-templates />
  </xsl:template>
  
  <xsl:template match="sc:inlineStyle[@role='emphasis']">
    <emphasis>
      <xsl:apply-templates />
    </emphasis>
  </xsl:template>
  
  <xsl:template match="sc:uLink[not(@role)]">
    <a href="{@url}"><xsl:apply-templates /></a>    
  </xsl:template>

  
  <xsl:template match="text()">
    <xsl:value-of select="concat(normalize-space(.),' ')" />
  </xsl:template>
  
  <!-- Cas particulier : les paragraphes commençant par un espace -->
  <xsl:template match="sc:para/text()[position() = 1 and normalize-space(.)] | sc:member/text()[position() = 1 and normalize-space(.)]">
    <!-- Si le para commence par un espace le booleen renvoyé par starts-with sera converti en 1 -->
    <xsl:value-of select="substring(.,starts-with(.,' ')+1)" />
  </xsl:template>
  
  <xsl:template match="*" />
</xsl:stylesheet>
